<%@ Page Language="VB" %>

<script runat="server">
	Sub Page_Load(Sender As Object, E As EventArgs)
		On Error Resume Next
		' Set default text so any errors encountered are obvious.
		isauthResult.Text = "<font color='red'>An error occured during lookup.</font>"
		authtypeResult.Text = "<font color='red'>An error occured during lookup.</font>"
		searchrootnameResult.Text = "<font color='red'>An error occured during lookup.</font>"
		domainResult.Text = "<font color='red'>An error occured during lookup.</font>"
		isuserResult.Text = "<font color='red'>An error occured during lookup.</font>"
		usernameResult.Text = "<font color='red'>An error occured during lookup.</font>"
		mailResult.Text = "<font color='red'>An error occured during lookup.</font>"
		ouResult.Text = "<font color='red'>An error occured during lookup.</font>"
		upnResult.Text = "<font color='red'>An error occured during lookup.</font>"
		scnResult.Text = "<font color='red'>An error occured during lookup.</font>"
		searcherfilterResult.Text = "<font color='red'>An error occured during lookup.</font>"

		isauthResult.Text = User.Identity.IsAuthenticated.ToString()
		authtypeResult.Text = User.Identity.AuthenticationType
		isuserResult.Text = User.Identity.Name
		Using searcher As New DirectoryServices.DirectorySearcher
			searchrootnameResult.Text = searcher.SearchRoot.Name
			Dim domainName As String = searcher.SearchRoot.Name.Replace("DC=", "").ToLower
			domainResult.Text = domainName
			Dim username As String = Mid(My.User.Name, InStrRev(My.User.Name, "\")+1).ToLower
			usernameResult.Text = username
			searcher.Filter = "(&(objectCategory=person)(objectClass=user)(samaccountName=" & username.Trim & "))"
			searcherfilterResult.Text = searcher.Filter
			Dim result As DirectoryServices.SearchResult = searcher.FindOne
			If result IsNot Nothing Then
				Dim sCn = result.GetDirectoryEntry().Properties("distinguishedname").Value.ToString()
				scnResult.Text = sCn
				upnResult.Text = result.GetDirectoryEntry().Properties("userPrincipalName").Value.ToString()
				Dim ResultArray() as String = Split(sCn, ",")
				Dim ou = ""
				Array.Reverse(ResultArray)
				for each x in ResultArray
					If(InStr(x, "OU=")) Then
						ou += Replace(x, "OU=", "")
					End If
				next
				ouResult.Text = ou
				Dim mail = result.GetDirectoryEntry().Properties("mail").Value.ToString()
				mailResult.Text = mail
			End If
		End Using
	End Sub
</script>
<html>
	<head> 
	<Title>Securly Debug for SSO</title>
	</head>
	<body bgcolor="#FFFFFF">
		<p><b>User is Authenticated: </b><asp:label id="isauthResult" runat="server" /></p>
		<p><b>Authentication Type: </b><asp:label id="authtypeResult" runat="server" /></p>
		<p><b>Search Root Name: </b><asp:label id="searchrootnameResult" runat="server" /></p>
		<p><b>Domain Name: </b><asp:label id="domainResult" runat="server" /></p>
		<p><b>User Identity Name: </b><asp:label id="isuserResult" runat="server" /></p>
		<p><b>Username: </b><asp:label id="usernameResult" runat="server" /></p>
		<p><b>UPN: </b><asp:label id="upnResult" runat="server" /></p>
		<p><b>sCn: </b><asp:label id="scnResult" runat="server" /></p>
		<p><b>OU: </b><asp:label id="ouResult" runat="server" /></p>
		<p><b>Mail: </b><asp:label id="mailResult" runat="server" /></p>
		<p><b>SearcherFilter: </b><asp:label id="searcherfilterResult" runat="server" /></p>
	</body>
</html>